Bug 1770938 - Accordions navigation for User and Group are not changing when role restriction changed
Summary: Accordions navigation for User and Group are not changing when role restricti...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.9
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.10.13
Assignee: drew uhlmann
QA Contact: John Dupuy
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1766756
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-11 14:24 UTC by Satoe Imaishi
Modified: 2019-12-03 06:55 UTC (History)
10 users (show)

Fixed In Version: 5.10.13.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1766756
Environment:
Last Closed: 2019-12-03 06:55:43 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:4047 None None None 2019-12-03 06:55:50 UTC

Comment 2 CFME Bot 2019-11-11 14:32:31 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/39083b0c31b49c5b65e1e212a14a10382d5f662b
commit 39083b0c31b49c5b65e1e212a14a10382d5f662b
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Tue Nov  5 05:06:11 2019 -0500
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Tue Nov  5 05:06:11 2019 -0500

    Merge pull request #6374 from d-m-u/fixing_user_group_being_wrong_in_tree

    Force user group reload after changing permissions so tree is correct

    (cherry picked from commit 97340d5d2125d2f003cb6a8f5e012c342409773e)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1770938

 app/controllers/ops_controller/ops_rbac.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 3 John Dupuy 2019-11-20 20:07:08 UTC
Verified in CFME 5.10.13.0

Steps of verification:
1. Create new role with all product Features ( "Everything") and Access Restriction set to "None"
2. Create user for above role and log-in as that user
3. Navigate to Configuration -> Access Control -> User. Observe that all Groups and Users are present in Accordion and list of users present in the list the same as in accordion when Users selected
4. Update Role set-up in step 1. to have Access Restriction "Only User or Group Owned"
5. Verified that the users listed in the accordion match what is in the table

Comment 5 errata-xmlrpc 2019-12-03 06:55:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4047


Note You need to log in before you can comment on or make changes to this bug.